using System;
using System.Collections.Generic;
using System.Text;
using ImageSharp.Images;

namespace ImageSharp.Detections.EdgeDetectors.Gradient
{
    class Roberts : IGrayImgApplicable
    {
        public void Apply(ImageGray img)
        {
            img.Apply(ImageSharp.Filtering.Linear.GradientFilters.Roberts);
        }
    }

    class Prewitt : IGrayImgApplicable
    {
        public void Apply(ImageGray img)
        {
            img.Apply(ImageSharp.Filtering.Linear.GradientFilters.Prewitt);
        }
    }

    class Sobel : IGrayImgApplicable
    {
        public void Apply(ImageGray img)
        {
            img.Apply(ImageSharp.Filtering.Linear.GradientFilters.Sobel);
        }
    }
}
